Debian Bug report logs - #232921
/usr/sbin/orphaner: shows wrong help information or exits on last

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Florian Schlichting <f.schlichting@ucl.ac.uk>

Date: Sun, 15 Feb 2004 20:03:03 UTC

Severity: normal

Done: Santiago Vila <sanvila@unex.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Palfrader <weasel@debian.org>:
Bug#232921; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <f.schlichting@ucl.ac.uk>:
New Bug report received and forwarded. Copy sent to Peter Palfrader <weasel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Schlichting <f.schlichting@ucl.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/sbin/orphaner: shows wrong help information or exits on last
Date: Sun, 15 Feb 2004 20:02:36 +0000
Package: deborphan
Version: 1.5-17
Severity: normal
File: /usr/sbin/orphaner

Choosing 'Help' for a package gives the information for the package in
the line below the one that is highlighted; if this is the last package
in the list, orphaner exits with: "dialog returned with exitcode 139",
leaving the terminal in a somewhat unusable state ('Enter' does not
produce a line feed any more...)

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux tigerbay 2.2.25-mini #1 Wed Jan 28 18:19:36 GMT 2004 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages deborphan depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#232921; Package deborphan. Full text and rfc822 format available.

Acknowledgement sent to Peter Palfrader <weasel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 232921@bugs.debian.org (full text, mbox):

From: Peter Palfrader <weasel@debian.org>
To: Florian Schlichting <f.schlichting@ucl.ac.uk>, 232921@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#232921: /usr/sbin/orphaner: shows wrong help information or exits on last
Date: Tue, 17 Feb 2004 07:04:33 +0100
[Message part 1 (text/plain, inline)]
reassign 232921 dialog
thanks

On Sun, 15 Feb 2004, Florian Schlichting wrote:

> Package: deborphan
> Version: 1.5-17
> Severity: normal
> File: /usr/sbin/orphaner
> 
> Choosing 'Help' for a package gives the information for the package in
> the line below the one that is highlighted; if this is the last package
> in the list, orphaner exits with: "dialog returned with exitcode 139",
> leaving the terminal in a somewhat unusable state ('Enter' does not
> produce a line feed any more...)

dialog --help-button --help-status --checklist test 17 70 10 item1 desc1 off item2 desc1 off 2> foo

Choosing help with item1 selected gives "HELP item2" in foo.
Choosing help with item2 selected makes dialog segfault.

Using dialog 0.9b-20031207-1.

Peter
-- 
 PGP signed and encrypted  |  .''`.  ** Debian GNU/Linux **
    messages preferred.    | : :' :      The  universal
                           | `. `'      Operating System
 http://www.palfrader.org/ |   `-    http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `deborphan' to `dialog'. Request was from Peter Palfrader <weasel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#232921; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #17 received at 232921@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 232921@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=232921
Date: Wed, 10 Mar 2004 05:27:45 -0500
>                       Debian Bug report logs - #232921
>       /usr/sbin/orphaner: shows wrong help information or exits on last
this was fixed in 2004/03/01.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@unex.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Florian Schlichting <f.schlichting@ucl.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 232921-done@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Florian Schlichting <f.schlichting@ucl.ac.uk>
Cc: 232921-done@bugs.debian.org
Subject: Re: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=232921
Date: Wed, 10 Mar 2004 13:09:03 +0100 (CET)
On Wed, 10 Mar 2004, Thomas Dickey wrote:

> >                       Debian Bug report logs - #232921
> >       /usr/sbin/orphaner: shows wrong help information or exits on last
>
> this was fixed in 2004/03/01.

Thanks. I'm closing the bug then.



Message #23 received at 232921-done@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>
Cc: Florian Schlichting <f.schlichting@ucl.ac.uk>, 232921-done@bugs.debian.org
Subject: Re: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=232921
Date: Wed, 10 Mar 2004 07:46:09 -0500 (EST)
On Wed, 10 Mar 2004, Santiago Vila wrote:

> On Wed, 10 Mar 2004, Thomas Dickey wrote:
>
> > >                       Debian Bug report logs - #232921
> > >       /usr/sbin/orphaner: shows wrong help information or exits on last
> >
> > this was fixed in 2004/03/01.
>
> Thanks. I'm closing the bug then.

ok.  There is a similar problem in menubox.c, which I checked-in this
morning (I had made a to-do item to look for this).  I'll be uploading
a new version once I've flushed out some related items (perhaps tonight,
otherwise tomorrow).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:28:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.